Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 19 Sep 2014 17:24:42 +0100
From:      Peter Harrison <four.harrisons@googlemail.com>
To:        FreeBSD Mailing List <freebsd-questions@freebsd.org>
Subject:   Broken my pkg set up...
Message-ID:  <CAA3eX7YHWO=A1C=pktJ4c3Q0YQ_M_sHGv2Ap0-obc_RUQpWRJw@mail.gmail.com>

Next in thread | Raw E-Mail | Index | Archive | Help
Dear list,

I seem to have broken my pkg beyond all repair (that I can find at least).

The problem seems to stem from having used postmaster to update chromium
(and a couple of other ports) when there was a bit of a delay in the
official repository being update.

pkg now refuses to update those ports.

I get:

"pkg: Cannot solve problem using SAT solver"

Consistently for those ports which were updated by hand.

I've gone so far as to delete all ports (pkg delete -a), verify that the
pkg database is empty (pkg info) run pkg check -Ba. But on reinstall I get
the exact same message on the exact same ports - including slim, xfce4, and
chromium.

What am I doing wrong?

This is on 10-RELEASE i386

Thanks

Peter Harrison



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?CAA3eX7YHWO=A1C=pktJ4c3Q0YQ_M_sHGv2Ap0-obc_RUQpWRJw>